/*
 * Copyright (C) 2012 Vadym Timofeyev
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     Vadym Timofeyev - initial implementation
 */
package tvv.nano;

/**
 * Constants for Polaris robot.
 *
 * @author Vadym Timofeyev
 * @since 1.5
 * @version 1.1
 */
interface Constants {
    /**
     * Polaris star, color index: B−V 0.60, spectral type: F7 Ib-II SB
     * RGB color: 0xFFF3EA
     *
     * @see <a aref="http://en.wikipedia.org/wiki/Polaris">Wiki</a>
     * @see <a href="http://vendian.org/mncharity/dir3/starcolor/">StarColor</a>
     */
    int POLARIS_RGB = 0xFFF3EA;

    /**
     * Predefined calculations.
     */
    double PI_DIV_2    = StrictMath.PI / 2.0;
    double PI_DIV_4    = StrictMath.PI / 4.0;
    double PI_DIV_12   = StrictMath.PI / 12.0;
    double PI_DIV_1920 = StrictMath.PI / 1920.0;
}
